org.apache.nutch.protocol.http

## Class Http

- java.lang.Object
- - org.apache.nutch.protocol.http.api.HttpBase
  - - org.apache.nutch.protocol.http.Http

- All Implemented Interfaces:
    Configurable, FieldPluggable, Pluggable, Protocol

      public class Http
      extends HttpBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

    - ### Fields inherited from class org.apache.nutch.protocol.http.api.HttpBase

      `accept, acceptLanguage, BUFFER_SIZE, maxContent, proxyHost, proxyPort, responseTime, timeout, tlsPreferredCipherSuites, tlsPreferredProtocols, useHttp11, useProxy, userAgent`

    - ### Fields inherited from interface org.apache.nutch.protocol.Protocol

      `CHECK_BLOCKING, CHECK_ROBOTS, X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Http()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<WebPage.Field>` | `getFields()`
    `protected Response` | `getResponse(URL url, WebPage page, boolean redirect)`
    `static void` | `main(String[] args)`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class org.apache.nutch.protocol.http.api.HttpBase

      `getAccept, getAcceptLanguage, getConf, getMaxContent, getProtocolOutput, getProxyHost, getProxyPort, getRobotRules, getTimeout, getTlsPreferredCipherSuites, getTlsPreferredProtocols, getUseHttp11, getUserAgent, logConf, main, processDeflateEncoded, processGzipEncoded, useProxy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### Http

          public Http()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`
      Overrides:
        `setConf` in class `HttpBase`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### getResponse

          protected Response getResponse(URL url,
                             WebPage page,
                             boolean redirect)
                                  throws ProtocolException,
                                         IOException

      Specified by:
        `getResponse` in class `HttpBase`
      Throws:
        `ProtocolException`
        `IOException`

    - #### getFields

          public Collection<WebPage.Field> getFields()

Copyright © 2015 The Apache Software Foundation